package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentContentEntry2DetailBindingImpl extends FragmentContentEntry2DetailBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.activity_contententry_edit_edit_clx, 22);
        sViewsWithIds.put(R.id.labelBarrier, 23);
        sViewsWithIds.put(R.id.download_button_barrier, 24);
        sViewsWithIds.put(R.id.main_buttons_barrier, 25);
        sViewsWithIds.put(R.id.contentJobItemProgressList, 26);
        sViewsWithIds.put(R.id.locally_available_bottom_barrier, 27);
        sViewsWithIds.put(R.id.library_size_divider, 28);
        sViewsWithIds.put(R.id.entry_detail_option_buttons, 29);
        sViewsWithIds.put(R.id.content_status_icon, 30);
        sViewsWithIds.put(R.id.content_status_text, 31);
        sViewsWithIds.put(R.id.description_barrier, 32);
        sViewsWithIds.put(R.id.description_divider, 33);
        sViewsWithIds.put(R.id.entry_detail_description, 34);
        sViewsWithIds.put(R.id.language_divider, 35);
        sViewsWithIds.put(R.id.entry_detail_see_also_label, 36);
    }
    // views
    @NonNull
    private final androidx.core.widget.NestedScrollView mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback148;
    @Nullable
    private final android.view.View.OnClickListener mCallback149;
    @Nullable
    private final android.view.View.OnClickListener mCallback146;
    @Nullable
    private final android.view.View.OnClickListener mCallback150;
    @Nullable
    private final android.view.View.OnClickListener mCallback147;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public FragmentContentEntry2DetailBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 37, sIncludes, sViewsWithIds));
    }
    private FragmentContentEntry2DetailBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[22]
            , (androidx.recyclerview.widget.RecyclerView) bindings[21]
            , (androidx.recyclerview.widget.RecyclerView) bindings[26]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[30]
            , (android.widget.TextView) bindings[31]
            , (androidx.constraintlayout.widget.Barrier) bindings[32]
            , (android.view.View) bindings[33]
            , (androidx.constraintlayout.widget.Barrier) bindings[24]
            , (android.widget.TextView) bindings[5]
            , (android.widget.TextView) bindings[20]
            , (android.widget.TextView) bindings[9]
            , (com.google.android.material.button.MaterialButton) bindings[17]
            , (android.widget.TextView) bindings[34]
            , (android.widget.TextView) bindings[19]
            , (android.widget.TextView) bindings[8]
            , (android.widget.TextView) bindings[7]
            , (com.google.android.material.button.MaterialButton) bindings[16]
            , (androidx.appcompat.widget.LinearLayoutCompat) bindings[29]
            , (android.widget.ProgressBar) bindings[2]
            , (android.widget.TextView) bindings[6]
            , (android.widget.TextView) bindings[36]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[1]
            , (android.widget.TextView) bindings[4]
            , (com.google.android.material.button.MaterialButton) bindings[12]
            , (com.google.android.material.button.MaterialButton) bindings[18]
            , (com.google.android.material.button.MaterialButton) bindings[13]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[14]
            , (android.widget.TextView) bindings[10]
            , (android.widget.TextView) bindings[11]
            , (androidx.constraintlayout.widget.Barrier) bindings[23]
            , (android.view.View) bindings[35]
            , (android.view.View) bindings[28]
            , (androidx.constraintlayout.widget.Barrier) bindings[27]
            , (android.widget.TextView) bindings[15]
            , (androidx.constraintlayout.widget.Barrier) bindings[25]
            );
        this.availableTranslationView.setTag(null);
        this.contentProgressFailCorrect.setTag(null);
        this.entryDetailAuthor.setTag(null);
        this.entryDetailAvailableLabel.setTag(null);
        this.entryDetailContentSize.setTag(null);
        this.entryDetailDeleteButton.setTag(null);
        this.entryDetailDescriptionLabel.setTag(null);
        this.entryDetailLicense.setTag(null);
        this.entryDetailLicenseLabel.setTag(null);
        this.entryDetailMarkComplete.setTag(null);
        this.entryDetailProgressBar.setTag(null);
        this.entryDetailPublisher.setTag(null);
        this.entryDetailThumbnail.setTag(null);
        this.entryDetailTitle.setTag(null);
        this.entryDownloadButton.setTag(null);
        this.entryManageDownloadButton.setTag(null);
        this.entryOpenButton.setTag(null);
        this.icLocallyAvailable.setTag(null);
        this.itemPersonProgress.setTag(null);
        this.itemPersonScoreResults.setTag(null);
        this.locallyAvailableText.setTag(null);
        this.mboundView0 = (androidx.core.widget.NestedScrollView) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback148 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 3);
        mCallback149 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 4);
        mCallback146 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        mCallback150 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 5);
        mCallback147 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x400L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.markCompleteVisible == variableId) {
            setMarkCompleteVisible((boolean) variable);
        }
        else if (BR.translationVisibility == variableId) {
            setTranslationVisibility((java.lang.Integer) variable);
        }
        else if (BR.contentEntryButtons == variableId) {
            setContentEntryButtons((com.ustadmobile.lib.db.entities.ContentEntryButtonModel) variable);
        }
        else if (BR.contentEntry == variableId) {
            setContentEntry((com.ustadmobile.lib.db.entities.ContentEntryWithMostRecentContainer) variable);
        }
        else if (BR.editButtonMode == variableId) {
            setEditButtonMode((com.ustadmobile.core.view.EditButtonMode) variable);
        }
        else if (BR.fragmentEventHandler == variableId) {
            setFragmentEventHandler((com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler) variable);
        }
        else if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.locallyAvailable == variableId) {
            setLocallyAvailable((boolean) variable);
        }
        else if (BR.scoreProgress == variableId) {
            setScoreProgress((com.ustadmobile.lib.db.entities.ContentEntryStatementScoreProgress) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setMarkCompleteVisible(boolean MarkCompleteVisible) {
        this.mMarkCompleteVisible = MarkCompleteVisible;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.markCompleteVisible);
        super.requestRebind();
    }
    public void setTranslationVisibility(@Nullable java.lang.Integer TranslationVisibility) {
        this.mTranslationVisibility = TranslationVisibility;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.translationVisibility);
        super.requestRebind();
    }
    public void setContentEntryButtons(@Nullable com.ustadmobile.lib.db.entities.ContentEntryButtonModel ContentEntryButtons) {
        this.mContentEntryButtons = ContentEntryButtons;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.contentEntryButtons);
        super.requestRebind();
    }
    public void setContentEntry(@Nullable com.ustadmobile.lib.db.entities.ContentEntryWithMostRecentContainer ContentEntry) {
        this.mContentEntry = ContentEntry;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.contentEntry);
        super.requestRebind();
    }
    public void setEditButtonMode(@Nullable com.ustadmobile.core.view.EditButtonMode EditButtonMode) {
        this.mEditButtonMode = EditButtonMode;
    }
    public void setFragmentEventHandler(@Nullable com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler FragmentEventHandler) {
        this.mFragmentEventHandler = FragmentEventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.fragmentEventHandler);
        super.requestRebind();
    }
    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
    }
    public void setLocallyAvailable(boolean LocallyAvailable) {
        this.mLocallyAvailable = LocallyAvailable;
        synchronized(this) {
            mDirtyFlags |= 0x100L;
        }
        notifyPropertyChanged(BR.locallyAvailable);
        super.requestRebind();
    }
    public void setScoreProgress(@Nullable com.ustadmobile.lib.db.entities.ContentEntryStatementScoreProgress ScoreProgress) {
        this.mScoreProgress = ScoreProgress;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.scoreProgress);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        boolean markCompleteVisible = mMarkCompleteVisible;
        int markCompleteVisibleViewVISIBLEViewGONE = 0;
        java.lang.Integer translationVisibility = mTranslationVisibility;
        java.lang.String javaLangStringScoreProgressResultScore = null;
        java.lang.String javaLangStringScoreProgressResultScoreJavaLangString = null;
        boolean contentEntryContainerFileSizeInt0 = false;
        com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter contentEntryDetailFragmentFOREIGNKEYADAPTERENTRY = null;
        boolean contentEntryButtonsShowOpenButton = false;
        int locallyAvailableViewVISIBLEViewGONE = 0;
        int scoreProgressProgress = 0;
        java.lang.String contentEntryDescription = null;
        com.ustadmobile.lib.db.entities.Container contentEntryContainer = null;
        int stringExtKtVisibleIfNotNullOrEmptyContentEntryAuthor = 0;
        java.lang.String javaLangStringScoreProgressResultScoreJavaLangStringScoreProgressResultMax = null;
        boolean scoreProgressProgressInt0 = false;
        com.ustadmobile.lib.db.entities.ContentEntryButtonModel contentEntryButtons = mContentEntryButtons;
        com.ustadmobile.lib.db.entities.ContentEntryWithMostRecentContainer contentEntry = mContentEntry;
        java.lang.String contentEntryAuthor = null;
        long contentEntryContainerFileSize = 0;
        java.lang.String contentEntryPublisher = null;
        java.lang.String entryDetailLicenseLabelAndroidStringEntryDetailsLicenseContentEntryLicenseName = null;
        java.lang.String contentEntryLicenseName = null;
        boolean contentEntryButtonsShowDeleteButton = false;
        com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler fragmentEventHandler = mFragmentEventHandler;
        boolean contentEntryButtonsShowDownloadButton = false;
        boolean contentEntryButtonsShowManageDownloadButton = false;
        long contentEntryContentEntryUid = 0;
        int scoreProgressProgressInt0ViewVISIBLEViewGONE = 0;
        int contentEntryButtonsShowDownloadButtonViewVISIBLEViewGONE = 0;
        int scoreProgressResultMax = 0;
        int scoreProgressResultScore = 0;
        int androidxDatabindingViewDataBindingSafeUnboxTranslationVisibility = 0;
        int contentEntryButtonsShowDeleteButtonViewVISIBLEViewGONE = 0;
        boolean locallyAvailable = mLocallyAvailable;
        int contentEntryButtonsShowManageDownloadButtonViewVISIBLEViewGONE = 0;
        int stringExtKtVisibleIfNotNullOrEmptyContentEntryLicenseName = 0;
        com.ustadmobile.lib.db.entities.ContentEntryStatementScoreProgress scoreProgress = mScoreProgress;
        java.lang.String javaLangStringScoreProgressResultScoreJavaLangStringScoreProgressResultMaxJavaLangString = null;
        int contentEntryContainerFileSizeInt0ViewVISIBLEViewGONE = 0;
        int stringExtKtVisibleIfNotNullOrEmptyContentEntryPublisher = 0;
        java.lang.String contentEntryTitle = null;
        int contentEntryButtonsShowOpenButtonViewVISIBLEViewGONE = 0;

        if ((dirtyFlags & 0x401L) != 0) {

            if((dirtyFlags & 0x401L) != 0) {
                if(markCompleteVisible) {
                        dirtyFlags |= 0x1000L;
                }
                else {
                        dirtyFlags |= 0x800L;
                }
            }


                // read markCompleteVisible ? View.VISIBLE : View.GONE
                markCompleteVisibleViewVISIBLEViewGONE = ((markCompleteVisible) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x402L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(translationVisibility)
                androidxDatabindingViewDataBindingSafeUnboxTranslationVisibility = androidx.databinding.ViewDataBinding.safeUnbox(translationVisibility);
        }
        if ((dirtyFlags & 0x400L) != 0) {

                // read ContentEntryDetailFragment.FOREIGNKEYADAPTER_ENTRY
                contentEntryDetailFragmentFOREIGNKEYADAPTERENTRY = com.ustadmobile.port.android.view.ContentEntryDetailFragment.getFOREIGNKEYADAPTER_ENTRY();
        }
        if ((dirtyFlags & 0x404L) != 0) {



                if (contentEntryButtons != null) {
                    // read contentEntryButtons.showOpenButton
                    contentEntryButtonsShowOpenButton = contentEntryButtons.getShowOpenButton();
                    // read contentEntryButtons.showDeleteButton
                    contentEntryButtonsShowDeleteButton = contentEntryButtons.getShowDeleteButton();
                    // read contentEntryButtons.showDownloadButton
                    contentEntryButtonsShowDownloadButton = contentEntryButtons.getShowDownloadButton();
                    // read contentEntryButtons.showManageDownloadButton
                    contentEntryButtonsShowManageDownloadButton = contentEntryButtons.getShowManageDownloadButton();
                }
            if((dirtyFlags & 0x404L) != 0) {
                if(contentEntryButtonsShowOpenButton) {
                        dirtyFlags |= 0x4000000L;
                }
                else {
                        dirtyFlags |= 0x2000000L;
                }
            }
            if((dirtyFlags & 0x404L) != 0) {
                if(contentEntryButtonsShowDeleteButton) {
                        dirtyFlags |= 0x100000L;
                }
                else {
                        dirtyFlags |= 0x80000L;
                }
            }
            if((dirtyFlags & 0x404L) != 0) {
                if(contentEntryButtonsShowDownloadButton) {
                        dirtyFlags |= 0x40000L;
                }
                else {
                        dirtyFlags |= 0x20000L;
                }
            }
            if((dirtyFlags & 0x404L) != 0) {
                if(contentEntryButtonsShowManageDownloadButton) {
                        dirtyFlags |= 0x400000L;
                }
                else {
                        dirtyFlags |= 0x200000L;
                }
            }


                // read contentEntryButtons.showOpenButton ? View.VISIBLE : View.GONE
                contentEntryButtonsShowOpenButtonViewVISIBLEViewGONE = ((contentEntryButtonsShowOpenButton) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                // read contentEntryButtons.showDeleteButton ? View.VISIBLE : View.GONE
                contentEntryButtonsShowDeleteButtonViewVISIBLEViewGONE = ((contentEntryButtonsShowDeleteButton) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                // read contentEntryButtons.showDownloadButton ? View.VISIBLE : View.GONE
                contentEntryButtonsShowDownloadButtonViewVISIBLEViewGONE = ((contentEntryButtonsShowDownloadButton) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                // read contentEntryButtons.showManageDownloadButton ? View.VISIBLE : View.GONE
                contentEntryButtonsShowManageDownloadButtonViewVISIBLEViewGONE = ((contentEntryButtonsShowManageDownloadButton) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x408L) != 0) {



                if (contentEntry != null) {
                    // read contentEntry.description
                    contentEntryDescription = contentEntry.getDescription();
                    // read contentEntry.container
                    contentEntryContainer = contentEntry.getContainer();
                    // read contentEntry.author
                    contentEntryAuthor = contentEntry.getAuthor();
                    // read contentEntry.publisher
                    contentEntryPublisher = contentEntry.getPublisher();
                    // read contentEntry.licenseName
                    contentEntryLicenseName = contentEntry.getLicenseName();
                    // read contentEntry.contentEntryUid
                    contentEntryContentEntryUid = contentEntry.getContentEntryUid();
                    // read contentEntry.title
                    contentEntryTitle = contentEntry.getTitle();
                }


                if (contentEntryContainer != null) {
                    // read contentEntry.container.fileSize
                    contentEntryContainerFileSize = contentEntryContainer.getFileSize();
                }
                // read StringExtKt.visibleIfNotNullOrEmpty(contentEntry.author)
                stringExtKtVisibleIfNotNullOrEmptyContentEntryAuthor = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(contentEntryAuthor);
                // read StringExtKt.visibleIfNotNullOrEmpty(contentEntry.publisher)
                stringExtKtVisibleIfNotNullOrEmptyContentEntryPublisher = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(contentEntryPublisher);
                // read (@android:string/entry_details_license) + (contentEntry.licenseName)
                entryDetailLicenseLabelAndroidStringEntryDetailsLicenseContentEntryLicenseName = (entryDetailLicenseLabel.getResources().getString(R.string.entry_details_license)) + (contentEntryLicenseName);
                // read StringExtKt.visibleIfNotNullOrEmpty(contentEntry.licenseName)
                stringExtKtVisibleIfNotNullOrEmptyContentEntryLicenseName = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(contentEntryLicenseName);


                // read contentEntry.container.fileSize != 0
                contentEntryContainerFileSizeInt0 = (contentEntryContainerFileSize) != (0);
            if((dirtyFlags & 0x408L) != 0) {
                if(contentEntryContainerFileSizeInt0) {
                        dirtyFlags |= 0x1000000L;
                }
                else {
                        dirtyFlags |= 0x800000L;
                }
            }


                // read contentEntry.container.fileSize != 0 ? View.VISIBLE : View.GONE
                contentEntryContainerFileSizeInt0ViewVISIBLEViewGONE = ((contentEntryContainerFileSizeInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x500L) != 0) {

            if((dirtyFlags & 0x500L) != 0) {
                if(locallyAvailable) {
                        dirtyFlags |= 0x4000L;
                }
                else {
                        dirtyFlags |= 0x2000L;
                }
            }


                // read locallyAvailable ? View.VISIBLE : View.GONE
                locallyAvailableViewVISIBLEViewGONE = ((locallyAvailable) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x600L) != 0) {



                if (scoreProgress != null) {
                    // read scoreProgress.progress
                    scoreProgressProgress = scoreProgress.getProgress();
                    // read scoreProgress.resultMax
                    scoreProgressResultMax = scoreProgress.getResultMax();
                    // read scoreProgress.resultScore
                    scoreProgressResultScore = scoreProgress.getResultScore();
                }


                // read scoreProgress.progress > 0
                scoreProgressProgressInt0 = (scoreProgressProgress) > (0);
                // read ("(") + (scoreProgress.resultScore)
                javaLangStringScoreProgressResultScore = ("(") + (scoreProgressResultScore);
            if((dirtyFlags & 0x600L) != 0) {
                if(scoreProgressProgressInt0) {
                        dirtyFlags |= 0x10000L;
                }
                else {
                        dirtyFlags |= 0x8000L;
                }
            }


                // read scoreProgress.progress > 0 ? View.VISIBLE : View.GONE
                scoreProgressProgressInt0ViewVISIBLEViewGONE = ((scoreProgressProgressInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                // read (("(") + (scoreProgress.resultScore)) + ("/")
                javaLangStringScoreProgressResultScoreJavaLangString = (javaLangStringScoreProgressResultScore) + ("/");


                // read ((("(") + (scoreProgress.resultScore)) + ("/")) + (scoreProgress.resultMax)
                javaLangStringScoreProgressResultScoreJavaLangStringScoreProgressResultMax = (javaLangStringScoreProgressResultScoreJavaLangString) + (scoreProgressResultMax);


                // read (((("(") + (scoreProgress.resultScore)) + ("/")) + (scoreProgress.resultMax)) + (")")
                javaLangStringScoreProgressResultScoreJavaLangStringScoreProgressResultMaxJavaLangString = (javaLangStringScoreProgressResultScoreJavaLangStringScoreProgressResultMax) + (")");
        }
        // batch finished
        if ((dirtyFlags & 0x402L) != 0) {
            // api target 1

            this.availableTranslationView.setVisibility(androidxDatabindingViewDataBindingSafeUnboxTranslationVisibility);
            this.entryDetailAvailableLabel.setVisibility(androidxDatabindingViewDataBindingSafeUnboxTranslationVisibility);
        }
        if ((dirtyFlags & 0x600L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setIconOnProgressFlag(this.contentProgressFailCorrect, scoreProgress);
            this.entryDetailProgressBar.setProgress(scoreProgressProgress);
            this.entryDetailProgressBar.setVisibility(scoreProgressProgressInt0ViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setScorePercentage(this.itemPersonProgress, scoreProgress);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setScoreVisibility(this.itemPersonProgress, scoreProgress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemPersonScoreResults, javaLangStringScoreProgressResultScoreJavaLangStringScoreProgressResultMaxJavaLangString);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setScoreVisibility(this.itemPersonScoreResults, scoreProgress);
        }
        if ((dirtyFlags & 0x408L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryDetailAuthor, contentEntryAuthor);
            this.entryDetailAuthor.setVisibility(stringExtKtVisibleIfNotNullOrEmptyContentEntryAuthor);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setFileSize(this.entryDetailContentSize, contentEntryContainerFileSize);
            this.entryDetailContentSize.setVisibility(contentEntryContainerFileSizeInt0ViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setHtmlText(this.entryDetailDescriptionLabel, contentEntryDescription);
            this.entryDetailLicense.setVisibility(stringExtKtVisibleIfNotNullOrEmptyContentEntryLicenseName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryDetailLicenseLabel, entryDetailLicenseLabelAndroidStringEntryDetailsLicenseContentEntryLicenseName);
            this.entryDetailLicenseLabel.setVisibility(stringExtKtVisibleIfNotNullOrEmptyContentEntryLicenseName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryDetailPublisher, contentEntryPublisher);
            this.entryDetailPublisher.setVisibility(stringExtKtVisibleIfNotNullOrEmptyContentEntryPublisher);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKey(this.entryDetailThumbnail, contentEntryContentEntryUid, (java.lang.String)null);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryDetailTitle, contentEntryTitle);
        }
        if ((dirtyFlags & 0x404L) != 0) {
            // api target 1

            this.entryDetailDeleteButton.setVisibility(contentEntryButtonsShowDeleteButtonViewVISIBLEViewGONE);
            this.entryDownloadButton.setVisibility(contentEntryButtonsShowDownloadButtonViewVISIBLEViewGONE);
            this.entryManageDownloadButton.setVisibility(contentEntryButtonsShowManageDownloadButtonViewVISIBLEViewGONE);
            this.entryOpenButton.setVisibility(contentEntryButtonsShowOpenButtonViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x400L) != 0) {
            // api target 1

            this.entryDetailDeleteButton.setOnClickListener(mCallback149);
            this.entryDetailMarkComplete.setOnClickListener(mCallback148);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.imageForeignKeyPlaceholder(this.entryDetailThumbnail, androidx.appcompat.content.res.AppCompatResources.getDrawable(entryDetailThumbnail.getContext(), R.drawable.book_24px));
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAdapter(this.entryDetailThumbnail, contentEntryDetailFragmentFOREIGNKEYADAPTERENTRY);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAutoHide(this.entryDetailThumbnail, false);
            this.entryDownloadButton.setOnClickListener(mCallback146);
            this.entryManageDownloadButton.setOnClickListener(mCallback150);
            this.entryOpenButton.setOnClickListener(mCallback147);
        }
        if ((dirtyFlags & 0x401L) != 0) {
            // api target 1

            this.entryDetailMarkComplete.setVisibility(markCompleteVisibleViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x500L) != 0) {
            // api target 1

            this.icLocallyAvailable.setVisibility(locallyAvailableViewVISIBLEViewGONE);
            this.locallyAvailableText.setVisibility(locallyAvailableViewVISIBLEViewGONE);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 3: {
                // localize variables for thread safety
                // fragmentEventHandler
                com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler fragmentEventHandler = mFragmentEventHandler;
                // fragmentEventHandler != null
                boolean fragmentEventHandlerJavaLangObjectNull = false;



                fragmentEventHandlerJavaLangObjectNull = (fragmentEventHandler) != (null);
                if (fragmentEventHandlerJavaLangObjectNull) {


                    fragmentEventHandler.handleOnClickMarkComplete();
                }
                break;
            }
            case 4: {
                // localize variables for thread safety
                // fragmentEventHandler
                com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler fragmentEventHandler = mFragmentEventHandler;
                // fragmentEventHandler != null
                boolean fragmentEventHandlerJavaLangObjectNull = false;



                fragmentEventHandlerJavaLangObjectNull = (fragmentEventHandler) != (null);
                if (fragmentEventHandlerJavaLangObjectNull) {


                    fragmentEventHandler.handleOnClickDeleteButton();
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // fragmentEventHandler
                com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler fragmentEventHandler = mFragmentEventHandler;
                // fragmentEventHandler != null
                boolean fragmentEventHandlerJavaLangObjectNull = false;



                fragmentEventHandlerJavaLangObjectNull = (fragmentEventHandler) != (null);
                if (fragmentEventHandlerJavaLangObjectNull) {


                    fragmentEventHandler.handleOnClickDownload();
                }
                break;
            }
            case 5: {
                // localize variables for thread safety
                // fragmentEventHandler
                com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler fragmentEventHandler = mFragmentEventHandler;
                // fragmentEventHandler != null
                boolean fragmentEventHandlerJavaLangObjectNull = false;



                fragmentEventHandlerJavaLangObjectNull = (fragmentEventHandler) != (null);
                if (fragmentEventHandlerJavaLangObjectNull) {


                    fragmentEventHandler.handleOnClickManageDownloadButton();
                }
                break;
            }
            case 2: {
                // localize variables for thread safety
                // fragmentEventHandler
                com.ustadmobile.port.android.view.ContentEntryDetailFragmentEventHandler fragmentEventHandler = mFragmentEventHandler;
                // fragmentEventHandler != null
                boolean fragmentEventHandlerJavaLangObjectNull = false;



                fragmentEventHandlerJavaLangObjectNull = (fragmentEventHandler) != (null);
                if (fragmentEventHandlerJavaLangObjectNull) {


                    fragmentEventHandler.handleOnClickOpen();
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): markCompleteVisible
        flag 1 (0x2L): translationVisibility
        flag 2 (0x3L): contentEntryButtons
        flag 3 (0x4L): contentEntry
        flag 4 (0x5L): editButtonMode
        flag 5 (0x6L): fragmentEventHandler
        flag 6 (0x7L): loading
        flag 7 (0x8L): fieldsEnabled
        flag 8 (0x9L): locallyAvailable
        flag 9 (0xaL): scoreProgress
        flag 10 (0xbL): null
        flag 11 (0xcL): markCompleteVisible ? View.VISIBLE : View.GONE
        flag 12 (0xdL): markCompleteVisible ? View.VISIBLE : View.GONE
        flag 13 (0xeL): locallyAvailable ? View.VISIBLE : View.GONE
        flag 14 (0xfL): locallyAvailable ? View.VISIBLE : View.GONE
        flag 15 (0x10L): scoreProgress.progress > 0 ? View.VISIBLE : View.GONE
        flag 16 (0x11L): scoreProgress.progress > 0 ? View.VISIBLE : View.GONE
        flag 17 (0x12L): contentEntryButtons.showDownloadButton ? View.VISIBLE : View.GONE
        flag 18 (0x13L): contentEntryButtons.showDownloadButton ? View.VISIBLE : View.GONE
        flag 19 (0x14L): contentEntryButtons.showDeleteButton ? View.VISIBLE : View.GONE
        flag 20 (0x15L): contentEntryButtons.showDeleteButton ? View.VISIBLE : View.GONE
        flag 21 (0x16L): contentEntryButtons.showManageDownloadButton ? View.VISIBLE : View.GONE
        flag 22 (0x17L): contentEntryButtons.showManageDownloadButton ? View.VISIBLE : View.GONE
        flag 23 (0x18L): contentEntry.container.fileSize != 0 ? View.VISIBLE : View.GONE
        flag 24 (0x19L): contentEntry.container.fileSize != 0 ? View.VISIBLE : View.GONE
        flag 25 (0x1aL): contentEntryButtons.showOpenButton ? View.VISIBLE : View.GONE
        flag 26 (0x1bL): contentEntryButtons.showOpenButton ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}